=== debian/changelog ===
mrpt (1:1.5.6-1) unstable; urgency=medium

  * New version of upstream sources.

 -- José Luis Blanco Claraco <joseluisblancoc@gmail.com>  Sat, 09 Jun 2018 12:30:16 +0200
