=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	perl,
 	zlib1g-dev,
 	libjpeg-dev,
-	libwxgtk3.0-dev | libwxgtk2.8-dev,
+	libwxgtk3.0-gtk3-dev,
 	libftdi1-dev,
 	freeglut3-dev,
 	libopencv-dev,
@@ -31,7 +31,7 @@
 	libeigen3-dev,
 	libassimp-dev,
 	liboctomap-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.3.0
 Homepage: https://www.mrpt.org/
 
 Package: mrpt-doc
@@ -331,3 +331,4 @@
  More about MRPT libraries in: https://www.mrpt.org/Libraries
 
 
+Package: libmrpt-graphs1.5
